﻿//INSTANT C# NOTE: Formerly VB project-level imports:
using System;
using System.Collections;
using System.Data;
using System.Diagnostics;
using System.Drawing;
using System.Windows.Forms;

namespace Example
{
	public class FormMain : System.Windows.Forms.Form
	{
		private FormTanks frmTanks;
		private FormSymbols frmSymbols;
		private FormAll frmAll;
		private FormTrend frmTrend;
		private FormAlarm frmAlarm;
		private FormGauge frmGauge;
		private FormLabels frmLabels;
		private FormButtons frmButtons;
		private FormTextBoxes frmTextBoxes;
		private FormCheckBoxes frmCheckBoxes;
		private FormRadioButtons frmRadioButtons;
		private FormGroupBoxes frmGroupBoxes;
		private FormPictureBoxes frmPictureBoxes;
		private FormPanels frmPanels;
		private FormListBoxes frmListBoxes;
		private FormComboBoxes frmComboBoxes;
		private FormHScrollBars frmHScrollBars;
		private FormVScrollBars frmVScrollBars;
		private FormTrackBars frmTrackBars;
		private FormStatusBars frmStatusBars;
		private FormReadValues frmReadValues;
		private FormWriteValues frmWriteValues;
		private FormDataLogging frmDataLogging;
		private FormConfigureGeneral frmConfigureGeneral;
		private FormConfigureGroups frmConfigureGroups;
		private FormConfigureTags frmConfigureTags;
		private FormConfigureDriverInterfaces frmConfigureDriverInterfaces;
		private FormConfigureTrendPoints frmConfigureTrendPoints;
		private FormConfigureDataLogging frmConfigureDataLogging;
		private FormConfigureAlarmLogging frmConfigureAlarmLogging;
		private FormConfigureAlarmNotification frmConfigureAlarmNotification;
		private FormConfigureRecipes frmConfigureRecipes;
		private FormConfigureReports frmConfigureReports;
		private FormConfigureSecurity frmConfigureSecurity;
		private FormConfigureCSV frmConfigureCSV;
		private FormConfigureOPC frmConfigureOPC;
		private FormConfigureOptions frmConfigureOptions;
		private FormConfigureSystemErrors frmConfigureSystemErrors;

		internal System.Windows.Forms.MenuStrip MenuStripMain;
		internal System.Windows.Forms.ToolStripMenuItem ToolStripMenuItemFile;
		internal System.Windows.Forms.ToolStripMenuItem ToolStripMenuItemExit;
		internal System.Windows.Forms.ToolStripMenuItem ToolStripMenuItemMenu;
		internal System.Windows.Forms.ToolStripMenuItem ToolStripMenuItemSymbols;
		internal System.Windows.Forms.ToolStripMenuItem ToolStripMenuItemAll;
		internal System.Windows.Forms.ToolStripMenuItem ToolStripMenuItemTrend;
		internal System.Windows.Forms.ToolStripMenuItem ToolStripMenuItemAlarms;
		internal System.Windows.Forms.ToolStripMenuItem ToolStripMenuItemConfigure;
		internal System.Windows.Forms.ToolStripMenuItem ToolStripMenuItemConfigureGeneral;
		internal System.Windows.Forms.ToolStripMenuItem ToolStripMenuItemConfigureGroups;
		internal System.Windows.Forms.ToolStripMenuItem ToolStripMenuItemConfigureTags;
		internal System.Windows.Forms.ToolStripMenuItem ToolStripMenuItemConfigureTrendPoints;
		internal System.Windows.Forms.ToolStripMenuItem ToolStripMenuItemConfigureDataLogging;
		internal System.Windows.Forms.ToolStripMenuItem ToolStripMenuItemConfigureAlarmLogging;
		internal System.Windows.Forms.ToolStripMenuItem ToolStripMenuItemConfigureRecipes;
		internal System.Windows.Forms.ToolStripMenuItem ToolStripMenuItemConfigureReports;
		internal System.Windows.Forms.ToolStripMenuItem ToolStripMenuItemConfigureCSVImportExport;
		internal System.Windows.Forms.ToolStripMenuItem ToolStripMenuItemConfigureOPC;
		internal System.Windows.Forms.ToolStripMenuItem ToolStripMenuItemConfigureOptions;
		internal System.Windows.Forms.ToolStripMenuItem ToolStripMenuItemLogIn;
		internal System.Windows.Forms.ToolStripMenuItem ToolStripMenuItemLogOff;
		internal System.Windows.Forms.ToolStripTextBox ToolStripTextBoxCurrentUser;
		internal OPCControls.OPCControlsLogin OpcControlsLogin1;
		internal System.Windows.Forms.ToolStripMenuItem ToolStripMenuItemAlarmNotification;
		internal System.Windows.Forms.ToolStripMenuItem ToolStripMenuItemControls;
		internal System.Windows.Forms.ToolStripMenuItem ToolStripMenuItemLabels;
		internal System.Windows.Forms.ToolStripMenuItem ToolStripMenuItemButtons;
		internal System.Windows.Forms.ToolStripMenuItem ToolStripMenuItemTextBoxes;
		internal System.Windows.Forms.ToolStripMenuItem ToolStripMenuItemCheckBoxes;
		internal System.Windows.Forms.ToolStripMenuItem ToolStripMenuItemRadioButtons;
		internal System.Windows.Forms.ToolStripMenuItem ToolStripMenuItemGroupBoxes;
		internal System.Windows.Forms.ToolStripMenuItem ToolStripMenuItemPictureBoxes;
		internal System.Windows.Forms.ToolStripMenuItem ToolStripMenuItemPanels;
		internal System.Windows.Forms.ToolStripMenuItem ToolStripMenuItemListBoxes;
		internal System.Windows.Forms.ToolStripMenuItem ToolStripMenuItemComboBoxes;
		internal System.Windows.Forms.ToolStripMenuItem ToolStripMenuItemHScrollBars;
		internal System.Windows.Forms.ToolStripMenuItem ToolStripMenuItemVScrollBars;
		internal System.Windows.Forms.ToolStripMenuItem ToolStripMenuItemTrackBars;
		internal System.Windows.Forms.ToolStripMenuItem ToolStripMenuItemStatusBars;
		internal System.Windows.Forms.ToolStripMenuItem ToolStripMenuItemData;
		internal System.Windows.Forms.ToolStripMenuItem ToolStripMenuItemReadValues;
		internal System.Windows.Forms.ToolStripMenuItem ToolStripMenuItemWriteValues;
		internal System.Windows.Forms.ToolStripMenuItem ToolStripMenuItemSecurity;
		internal System.Windows.Forms.ToolStripMenuItem ToolStripMenuItemNetworkNode;

		private string m_CurrentUserName = "";
		internal System.Windows.Forms.ToolStripMenuItem ToolStripMenuItemGauges;
		internal OPCGauge.OPCGaugeNetworkNodes OpcGaugeNetworkNodes1;
		internal OPCGauge.OPCGaugeLogin OpcGaugeLogin1;
		internal System.Windows.Forms.ToolStripMenuItem ToolStripMenuItemTanks;
		internal System.Windows.Forms.ToolStripMenuItem ToolStripMenuItemDataLogging;
		internal System.Windows.Forms.ToolStripMenuItem SystemErrorsToolStripMenuItem;
		internal OPCSystemsDataConnector.OPCSystemsDataLogin OpcSystemsDataLogin1;
		internal OPCSystemsDataConnector.OPCSystemsDataNetworkNodes OpcSystemsDataNetworkNodes1;
		internal System.Windows.Forms.ToolStripMenuItem DriverInterfacesToolStripMenuItem;
		private string m_CurrentPassword = "";



#region  Windows Form Designer generated code 

		public FormMain() : base()
		{

			//This call is required by the Windows Form Designer.
			InitializeComponent();
			//Add any initialization after the InitializeComponent() call

		}

		//Form overrides dispose to clean up the component list.
		protected override void Dispose(bool disposing)
		{
			if (disposing)
			{
				if (components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose(disposing);
		}

		//Required by the Windows Form Designer
		private System.ComponentModel.IContainer components;

		//NOTE: The following procedure is required by the Windows Form Designer
		//It can be modified using the Windows Form Designer.  
		//Do not modify it using the code editor.
		internal OPCControls.OPCControlsNetworkNodes OpcControlsNetworkNodes1;
		[System.Diagnostics.DebuggerStepThrough()]
		private void InitializeComponent()
		{
			this.components = new System.ComponentModel.Container();
			System.ComponentModel.ComponentResourceManager resources = new System.ComponentModel.ComponentResourceManager(typeof(FormMain));
			this.OpcControlsNetworkNodes1 = new OPCControls.OPCControlsNetworkNodes(this.components);
			this.MenuStripMain = new System.Windows.Forms.MenuStrip();
			this.ToolStripTextBoxCurrentUser = new System.Windows.Forms.ToolStripTextBox();
			this.OpcControlsLogin1 = new OPCControls.OPCControlsLogin(this.components);
			this.OpcGaugeNetworkNodes1 = new OPCGauge.OPCGaugeNetworkNodes(this.components);
			this.OpcGaugeLogin1 = new OPCGauge.OPCGaugeLogin(this.components);
			this.OpcSystemsDataLogin1 = new OPCSystemsDataConnector.OPCSystemsDataLogin(this.components);
			this.OpcSystemsDataNetworkNodes1 = new OPCSystemsDataConnector.OPCSystemsDataNetworkNodes(this.components);
			this.ToolStripMenuItemFile = new System.Windows.Forms.ToolStripMenuItem();
			this.ToolStripMenuItemExit = new System.Windows.Forms.ToolStripMenuItem();
			this.ToolStripMenuItemMenu = new System.Windows.Forms.ToolStripMenuItem();
			this.ToolStripMenuItemTanks = new System.Windows.Forms.ToolStripMenuItem();
			this.ToolStripMenuItemSymbols = new System.Windows.Forms.ToolStripMenuItem();
			this.ToolStripMenuItemAll = new System.Windows.Forms.ToolStripMenuItem();
			this.ToolStripMenuItemTrend = new System.Windows.Forms.ToolStripMenuItem();
			this.ToolStripMenuItemAlarms = new System.Windows.Forms.ToolStripMenuItem();
			this.ToolStripMenuItemGauges = new System.Windows.Forms.ToolStripMenuItem();
			this.ToolStripMenuItemControls = new System.Windows.Forms.ToolStripMenuItem();
			this.ToolStripMenuItemLabels = new System.Windows.Forms.ToolStripMenuItem();
			this.ToolStripMenuItemButtons = new System.Windows.Forms.ToolStripMenuItem();
			this.ToolStripMenuItemTextBoxes = new System.Windows.Forms.ToolStripMenuItem();
			this.ToolStripMenuItemCheckBoxes = new System.Windows.Forms.ToolStripMenuItem();
			this.ToolStripMenuItemRadioButtons = new System.Windows.Forms.ToolStripMenuItem();
			this.ToolStripMenuItemGroupBoxes = new System.Windows.Forms.ToolStripMenuItem();
			this.ToolStripMenuItemPictureBoxes = new System.Windows.Forms.ToolStripMenuItem();
			this.ToolStripMenuItemPanels = new System.Windows.Forms.ToolStripMenuItem();
			this.ToolStripMenuItemListBoxes = new System.Windows.Forms.ToolStripMenuItem();
			this.ToolStripMenuItemComboBoxes = new System.Windows.Forms.ToolStripMenuItem();
			this.ToolStripMenuItemHScrollBars = new System.Windows.Forms.ToolStripMenuItem();
			this.ToolStripMenuItemVScrollBars = new System.Windows.Forms.ToolStripMenuItem();
			this.ToolStripMenuItemTrackBars = new System.Windows.Forms.ToolStripMenuItem();
			this.ToolStripMenuItemStatusBars = new System.Windows.Forms.ToolStripMenuItem();
			this.ToolStripMenuItemData = new System.Windows.Forms.ToolStripMenuItem();
			this.ToolStripMenuItemReadValues = new System.Windows.Forms.ToolStripMenuItem();
			this.ToolStripMenuItemWriteValues = new System.Windows.Forms.ToolStripMenuItem();
			this.ToolStripMenuItemDataLogging = new System.Windows.Forms.ToolStripMenuItem();
			this.ToolStripMenuItemConfigure = new System.Windows.Forms.ToolStripMenuItem();
			this.ToolStripMenuItemConfigureGeneral = new System.Windows.Forms.ToolStripMenuItem();
			this.ToolStripMenuItemConfigureGroups = new System.Windows.Forms.ToolStripMenuItem();
			this.ToolStripMenuItemConfigureTags = new System.Windows.Forms.ToolStripMenuItem();
			this.DriverInterfacesToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
			this.ToolStripMenuItemConfigureTrendPoints = new System.Windows.Forms.ToolStripMenuItem();
			this.ToolStripMenuItemConfigureDataLogging = new System.Windows.Forms.ToolStripMenuItem();
			this.ToolStripMenuItemConfigureAlarmLogging = new System.Windows.Forms.ToolStripMenuItem();
			this.ToolStripMenuItemAlarmNotification = new System.Windows.Forms.ToolStripMenuItem();
			this.ToolStripMenuItemConfigureRecipes = new System.Windows.Forms.ToolStripMenuItem();
			this.ToolStripMenuItemConfigureReports = new System.Windows.Forms.ToolStripMenuItem();
			this.ToolStripMenuItemSecurity = new System.Windows.Forms.ToolStripMenuItem();
			this.ToolStripMenuItemConfigureCSVImportExport = new System.Windows.Forms.ToolStripMenuItem();
			this.ToolStripMenuItemConfigureOPC = new System.Windows.Forms.ToolStripMenuItem();
			this.ToolStripMenuItemConfigureOptions = new System.Windows.Forms.ToolStripMenuItem();
			this.SystemErrorsToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
			this.ToolStripMenuItemNetworkNode = new System.Windows.Forms.ToolStripMenuItem();
			this.ToolStripMenuItemLogIn = new System.Windows.Forms.ToolStripMenuItem();
			this.ToolStripMenuItemLogOff = new System.Windows.Forms.ToolStripMenuItem();
			this.MenuStripMain.SuspendLayout();
			this.SuspendLayout();
			//
			//MenuStripMain
			//
			this.MenuStripMain.BackColor = System.Drawing.SystemColors.GradientInactiveCaption;
			this.MenuStripMain.Items.AddRange(new System.Windows.Forms.ToolStripItem[] {this.ToolStripMenuItemFile, this.ToolStripMenuItemMenu, this.ToolStripMenuItemControls, this.ToolStripMenuItemData, this.ToolStripMenuItemConfigure, this.ToolStripMenuItemNetworkNode, this.ToolStripMenuItemLogIn, this.ToolStripMenuItemLogOff, this.ToolStripTextBoxCurrentUser});
			this.MenuStripMain.Location = new System.Drawing.Point(0, 0);
			this.MenuStripMain.Name = "MenuStripMain";
			this.MenuStripMain.Size = new System.Drawing.Size(792, 27);
			this.MenuStripMain.TabIndex = 1;
			this.MenuStripMain.Text = "MenuStrip1";
			//
			//ToolStripTextBoxCurrentUser
			//
			this.ToolStripTextBoxCurrentUser.BackColor = System.Drawing.SystemColors.ControlLightLight;
			this.ToolStripTextBoxCurrentUser.Name = "ToolStripTextBoxCurrentUser";
			this.ToolStripTextBoxCurrentUser.ReadOnly = true;
			this.ToolStripTextBoxCurrentUser.Size = new System.Drawing.Size(100, 23);
			this.ToolStripTextBoxCurrentUser.Visible = false;
			//
			//ToolStripMenuItemFile
			//
			this.ToolStripMenuItemFile.DropDownItems.AddRange(new System.Windows.Forms.ToolStripItem[] {this.ToolStripMenuItemExit});
			this.ToolStripMenuItemFile.Image = Example.Properties.Resources.window;
			this.ToolStripMenuItemFile.Name = "ToolStripMenuItemFile";
			this.ToolStripMenuItemFile.Size = new System.Drawing.Size(53, 23);
			this.ToolStripMenuItemFile.Text = "&File";
			//
			//ToolStripMenuItemExit
			//
			this.ToolStripMenuItemExit.Image = Example.Properties.Resources.stop32;
			this.ToolStripMenuItemExit.ImageScaling = System.Windows.Forms.ToolStripItemImageScaling.None;
			this.ToolStripMenuItemExit.Name = "ToolStripMenuItemExit";
			this.ToolStripMenuItemExit.Size = new System.Drawing.Size(108, 38);
			this.ToolStripMenuItemExit.Text = "&Exit";
			//
			//ToolStripMenuItemMenu
			//
			this.ToolStripMenuItemMenu.DropDownItems.AddRange(new System.Windows.Forms.ToolStripItem[] {this.ToolStripMenuItemTanks, this.ToolStripMenuItemSymbols, this.ToolStripMenuItemAll, this.ToolStripMenuItemTrend, this.ToolStripMenuItemAlarms, this.ToolStripMenuItemGauges});
			this.ToolStripMenuItemMenu.Image = Example.Properties.Resources.Valve_green_16x16;
			this.ToolStripMenuItemMenu.Name = "ToolStripMenuItemMenu";
			this.ToolStripMenuItemMenu.Size = new System.Drawing.Size(66, 23);
			this.ToolStripMenuItemMenu.Text = "Menu";
			//
			//ToolStripMenuItemTanks
			//
			this.ToolStripMenuItemTanks.Image = Example.Properties.Resources.Tank_yellow_32x32;
			this.ToolStripMenuItemTanks.ImageScaling = System.Windows.Forms.ToolStripItemImageScaling.None;
			this.ToolStripMenuItemTanks.Name = "ToolStripMenuItemTanks";
			this.ToolStripMenuItemTanks.Size = new System.Drawing.Size(135, 38);
			this.ToolStripMenuItemTanks.Text = "Tanks";
			//
			//ToolStripMenuItemSymbols
			//
			this.ToolStripMenuItemSymbols.Image = Example.Properties.Resources.Valvegreen32;
			this.ToolStripMenuItemSymbols.ImageScaling = System.Windows.Forms.ToolStripItemImageScaling.None;
			this.ToolStripMenuItemSymbols.Name = "ToolStripMenuItemSymbols";
			this.ToolStripMenuItemSymbols.Size = new System.Drawing.Size(135, 38);
			this.ToolStripMenuItemSymbols.Text = "Symbols";
			//
			//ToolStripMenuItemAll
			//
			this.ToolStripMenuItemAll.Image = Example.Properties.Resources.window32;
			this.ToolStripMenuItemAll.ImageScaling = System.Windows.Forms.ToolStripItemImageScaling.None;
			this.ToolStripMenuItemAll.Name = "ToolStripMenuItemAll";
			this.ToolStripMenuItemAll.Size = new System.Drawing.Size(135, 38);
			this.ToolStripMenuItemAll.Text = "All";
			//
			//ToolStripMenuItemTrend
			//
			this.ToolStripMenuItemTrend.Image = Example.Properties.Resources.chart32;
			this.ToolStripMenuItemTrend.ImageScaling = System.Windows.Forms.ToolStripItemImageScaling.None;
			this.ToolStripMenuItemTrend.Name = "ToolStripMenuItemTrend";
			this.ToolStripMenuItemTrend.Size = new System.Drawing.Size(135, 38);
			this.ToolStripMenuItemTrend.Text = "Trend";
			//
			//ToolStripMenuItemAlarms
			//
			this.ToolStripMenuItemAlarms.Image = Example.Properties.Resources.timer32;
			this.ToolStripMenuItemAlarms.ImageScaling = System.Windows.Forms.ToolStripItemImageScaling.None;
			this.ToolStripMenuItemAlarms.Name = "ToolStripMenuItemAlarms";
			this.ToolStripMenuItemAlarms.Size = new System.Drawing.Size(135, 38);
			this.ToolStripMenuItemAlarms.Text = "Alarms";
			//
			//ToolStripMenuItemGauges
			//
			this.ToolStripMenuItemGauges.Image = Example.Properties.Resources.Gauge32;
			this.ToolStripMenuItemGauges.ImageScaling = System.Windows.Forms.ToolStripItemImageScaling.None;
			this.ToolStripMenuItemGauges.Name = "ToolStripMenuItemGauges";
			this.ToolStripMenuItemGauges.Size = new System.Drawing.Size(135, 38);
			this.ToolStripMenuItemGauges.Text = "Gauges";
			//
			//ToolStripMenuItemControls
			//
			this.ToolStripMenuItemControls.DropDownItems.AddRange(new System.Windows.Forms.ToolStripItem[] {this.ToolStripMenuItemLabels, this.ToolStripMenuItemButtons, this.ToolStripMenuItemTextBoxes, this.ToolStripMenuItemCheckBoxes, this.ToolStripMenuItemRadioButtons, this.ToolStripMenuItemGroupBoxes, this.ToolStripMenuItemPictureBoxes, this.ToolStripMenuItemPanels, this.ToolStripMenuItemListBoxes, this.ToolStripMenuItemComboBoxes, this.ToolStripMenuItemHScrollBars, this.ToolStripMenuItemVScrollBars, this.ToolStripMenuItemTrackBars, this.ToolStripMenuItemStatusBars});
			this.ToolStripMenuItemControls.Image = Example.Properties.Resources.Label32;
			this.ToolStripMenuItemControls.Name = "ToolStripMenuItemControls";
			this.ToolStripMenuItemControls.Size = new System.Drawing.Size(80, 23);
			this.ToolStripMenuItemControls.Text = "Controls";
			//
			//ToolStripMenuItemLabels
			//
			this.ToolStripMenuItemLabels.Image = Example.Properties.Resources.Label32;
			this.ToolStripMenuItemLabels.ImageScaling = System.Windows.Forms.ToolStripItemImageScaling.None;
			this.ToolStripMenuItemLabels.Name = "ToolStripMenuItemLabels";
			this.ToolStripMenuItemLabels.Size = new System.Drawing.Size(161, 38);
			this.ToolStripMenuItemLabels.Text = "Labels";
			//
			//ToolStripMenuItemButtons
			//
			this.ToolStripMenuItemButtons.Image = Example.Properties.Resources.Button32;
			this.ToolStripMenuItemButtons.ImageScaling = System.Windows.Forms.ToolStripItemImageScaling.None;
			this.ToolStripMenuItemButtons.Name = "ToolStripMenuItemButtons";
			this.ToolStripMenuItemButtons.Size = new System.Drawing.Size(161, 38);
			this.ToolStripMenuItemButtons.Text = "Buttons";
			//
			//ToolStripMenuItemTextBoxes
			//
			this.ToolStripMenuItemTextBoxes.Image = Example.Properties.Resources.TextBox32;
			this.ToolStripMenuItemTextBoxes.ImageScaling = System.Windows.Forms.ToolStripItemImageScaling.None;
			this.ToolStripMenuItemTextBoxes.Name = "ToolStripMenuItemTextBoxes";
			this.ToolStripMenuItemTextBoxes.Size = new System.Drawing.Size(161, 38);
			this.ToolStripMenuItemTextBoxes.Text = "TextBoxes";
			//
			//ToolStripMenuItemCheckBoxes
			//
			this.ToolStripMenuItemCheckBoxes.Image = Example.Properties.Resources.CheckBox32;
			this.ToolStripMenuItemCheckBoxes.ImageScaling = System.Windows.Forms.ToolStripItemImageScaling.None;
			this.ToolStripMenuItemCheckBoxes.Name = "ToolStripMenuItemCheckBoxes";
			this.ToolStripMenuItemCheckBoxes.Size = new System.Drawing.Size(161, 38);
			this.ToolStripMenuItemCheckBoxes.Text = "CheckBoxes";
			//
			//ToolStripMenuItemRadioButtons
			//
			this.ToolStripMenuItemRadioButtons.Image = Example.Properties.Resources.RadioButton32;
			this.ToolStripMenuItemRadioButtons.ImageScaling = System.Windows.Forms.ToolStripItemImageScaling.None;
			this.ToolStripMenuItemRadioButtons.Name = "ToolStripMenuItemRadioButtons";
			this.ToolStripMenuItemRadioButtons.Size = new System.Drawing.Size(161, 38);
			this.ToolStripMenuItemRadioButtons.Text = "RadioButtons";
			//
			//ToolStripMenuItemGroupBoxes
			//
			this.ToolStripMenuItemGroupBoxes.Image = Example.Properties.Resources.GroupBox32;
			this.ToolStripMenuItemGroupBoxes.ImageScaling = System.Windows.Forms.ToolStripItemImageScaling.None;
			this.ToolStripMenuItemGroupBoxes.Name = "ToolStripMenuItemGroupBoxes";
			this.ToolStripMenuItemGroupBoxes.Size = new System.Drawing.Size(161, 38);
			this.ToolStripMenuItemGroupBoxes.Text = "GroupBoxes";
			//
			//ToolStripMenuItemPictureBoxes
			//
			this.ToolStripMenuItemPictureBoxes.Image = Example.Properties.Resources.PictureBox32;
			this.ToolStripMenuItemPictureBoxes.ImageScaling = System.Windows.Forms.ToolStripItemImageScaling.None;
			this.ToolStripMenuItemPictureBoxes.Name = "ToolStripMenuItemPictureBoxes";
			this.ToolStripMenuItemPictureBoxes.Size = new System.Drawing.Size(161, 38);
			this.ToolStripMenuItemPictureBoxes.Text = "PictureBoxes";
			//
			//ToolStripMenuItemPanels
			//
			this.ToolStripMenuItemPanels.Image = Example.Properties.Resources.Panel32;
			this.ToolStripMenuItemPanels.ImageScaling = System.Windows.Forms.ToolStripItemImageScaling.None;
			this.ToolStripMenuItemPanels.Name = "ToolStripMenuItemPanels";
			this.ToolStripMenuItemPanels.Size = new System.Drawing.Size(161, 38);
			this.ToolStripMenuItemPanels.Text = "Panels";
			//
			//ToolStripMenuItemListBoxes
			//
			this.ToolStripMenuItemListBoxes.Image = Example.Properties.Resources.ListBox32;
			this.ToolStripMenuItemListBoxes.ImageScaling = System.Windows.Forms.ToolStripItemImageScaling.None;
			this.ToolStripMenuItemListBoxes.Name = "ToolStripMenuItemListBoxes";
			this.ToolStripMenuItemListBoxes.Size = new System.Drawing.Size(161, 38);
			this.ToolStripMenuItemListBoxes.Text = "ListBoxes";
			//
			//ToolStripMenuItemComboBoxes
			//
			this.ToolStripMenuItemComboBoxes.Image = Example.Properties.Resources.ComboBox32;
			this.ToolStripMenuItemComboBoxes.ImageScaling = System.Windows.Forms.ToolStripItemImageScaling.None;
			this.ToolStripMenuItemComboBoxes.Name = "ToolStripMenuItemComboBoxes";
			this.ToolStripMenuItemComboBoxes.Size = new System.Drawing.Size(161, 38);
			this.ToolStripMenuItemComboBoxes.Text = "ComboBoxes";
			//
			//ToolStripMenuItemHScrollBars
			//
			this.ToolStripMenuItemHScrollBars.Image = Example.Properties.Resources.HScrollBar32;
			this.ToolStripMenuItemHScrollBars.ImageScaling = System.Windows.Forms.ToolStripItemImageScaling.None;
			this.ToolStripMenuItemHScrollBars.Name = "ToolStripMenuItemHScrollBars";
			this.ToolStripMenuItemHScrollBars.Size = new System.Drawing.Size(161, 38);
			this.ToolStripMenuItemHScrollBars.Text = "HScrollBars";
			//
			//ToolStripMenuItemVScrollBars
			//
			this.ToolStripMenuItemVScrollBars.Image = Example.Properties.Resources.VScrollBar32;
			this.ToolStripMenuItemVScrollBars.ImageScaling = System.Windows.Forms.ToolStripItemImageScaling.None;
			this.ToolStripMenuItemVScrollBars.Name = "ToolStripMenuItemVScrollBars";
			this.ToolStripMenuItemVScrollBars.Size = new System.Drawing.Size(161, 38);
			this.ToolStripMenuItemVScrollBars.Text = "VScrollBars";
			//
			//ToolStripMenuItemTrackBars
			//
			this.ToolStripMenuItemTrackBars.Image = Example.Properties.Resources.TrackBar32;
			this.ToolStripMenuItemTrackBars.ImageScaling = System.Windows.Forms.ToolStripItemImageScaling.None;
			this.ToolStripMenuItemTrackBars.Name = "ToolStripMenuItemTrackBars";
			this.ToolStripMenuItemTrackBars.Size = new System.Drawing.Size(161, 38);
			this.ToolStripMenuItemTrackBars.Text = "TrackBars";
			//
			//ToolStripMenuItemStatusBars
			//
			this.ToolStripMenuItemStatusBars.Image = Example.Properties.Resources.StatusBar32;
			this.ToolStripMenuItemStatusBars.ImageScaling = System.Windows.Forms.ToolStripItemImageScaling.None;
			this.ToolStripMenuItemStatusBars.Name = "ToolStripMenuItemStatusBars";
			this.ToolStripMenuItemStatusBars.Size = new System.Drawing.Size(161, 38);
			this.ToolStripMenuItemStatusBars.Text = "StatusBars";
			//
			//ToolStripMenuItemData
			//
			this.ToolStripMenuItemData.DropDownItems.AddRange(new System.Windows.Forms.ToolStripItem[] {this.ToolStripMenuItemReadValues, this.ToolStripMenuItemWriteValues, this.ToolStripMenuItemDataLogging});
			this.ToolStripMenuItemData.Image = Example.Properties.Resources.Motor_a_yellow_16x16;
			this.ToolStripMenuItemData.Name = "ToolStripMenuItemData";
			this.ToolStripMenuItemData.Size = new System.Drawing.Size(74, 23);
			this.ToolStripMenuItemData.Text = "Data     ";
			//
			//ToolStripMenuItemReadValues
			//
			this.ToolStripMenuItemReadValues.Image = Example.Properties.Resources.ReadValues32;
			this.ToolStripMenuItemReadValues.ImageScaling = System.Windows.Forms.ToolStripItemImageScaling.None;
			this.ToolStripMenuItemReadValues.Name = "ToolStripMenuItemReadValues";
			this.ToolStripMenuItemReadValues.Size = new System.Drawing.Size(155, 38);
			this.ToolStripMenuItemReadValues.Text = "Read Values";
			//
			//ToolStripMenuItemWriteValues
			//
			this.ToolStripMenuItemWriteValues.Image = Example.Properties.Resources.WriteValues32;
			this.ToolStripMenuItemWriteValues.ImageScaling = System.Windows.Forms.ToolStripItemImageScaling.None;
			this.ToolStripMenuItemWriteValues.Name = "ToolStripMenuItemWriteValues";
			this.ToolStripMenuItemWriteValues.Size = new System.Drawing.Size(155, 38);
			this.ToolStripMenuItemWriteValues.Text = "Write Values";
			//
			//ToolStripMenuItemDataLogging
			//
			this.ToolStripMenuItemDataLogging.Image = Example.Properties.Resources.DB32;
			this.ToolStripMenuItemDataLogging.ImageScaling = System.Windows.Forms.ToolStripItemImageScaling.None;
			this.ToolStripMenuItemDataLogging.Name = "ToolStripMenuItemDataLogging";
			this.ToolStripMenuItemDataLogging.Size = new System.Drawing.Size(155, 38);
			this.ToolStripMenuItemDataLogging.Text = "Logging";
			//
			//ToolStripMenuItemConfigure
			//
			this.ToolStripMenuItemConfigure.DropDownItems.AddRange(new System.Windows.Forms.ToolStripItem[] {this.ToolStripMenuItemConfigureGeneral, this.ToolStripMenuItemConfigureGroups, this.ToolStripMenuItemConfigureTags, this.DriverInterfacesToolStripMenuItem, this.ToolStripMenuItemConfigureTrendPoints, this.ToolStripMenuItemConfigureDataLogging, this.ToolStripMenuItemConfigureAlarmLogging, this.ToolStripMenuItemAlarmNotification, this.ToolStripMenuItemConfigureRecipes, this.ToolStripMenuItemConfigureReports, this.ToolStripMenuItemSecurity, this.ToolStripMenuItemConfigureCSVImportExport, this.ToolStripMenuItemConfigureOPC, this.ToolStripMenuItemConfigureOptions, this.SystemErrorsToolStripMenuItem});
			this.ToolStripMenuItemConfigure.Image = Example.Properties.Resources.tools_16;
			this.ToolStripMenuItemConfigure.Name = "ToolStripMenuItemConfigure";
			this.ToolStripMenuItemConfigure.Size = new System.Drawing.Size(88, 23);
			this.ToolStripMenuItemConfigure.Text = "Configure";
			//
			//ToolStripMenuItemConfigureGeneral
			//
			this.ToolStripMenuItemConfigureGeneral.Image = Example.Properties.Resources.General32;
			this.ToolStripMenuItemConfigureGeneral.ImageScaling = System.Windows.Forms.ToolStripItemImageScaling.None;
			this.ToolStripMenuItemConfigureGeneral.Name = "ToolStripMenuItemConfigureGeneral";
			this.ToolStripMenuItemConfigureGeneral.Size = new System.Drawing.Size(194, 38);
			this.ToolStripMenuItemConfigureGeneral.Text = "General";
			//
			//ToolStripMenuItemConfigureGroups
			//
			this.ToolStripMenuItemConfigureGroups.Image = Example.Properties.Resources.foldr32;
			this.ToolStripMenuItemConfigureGroups.ImageScaling = System.Windows.Forms.ToolStripItemImageScaling.None;
			this.ToolStripMenuItemConfigureGroups.Name = "ToolStripMenuItemConfigureGroups";
			this.ToolStripMenuItemConfigureGroups.Size = new System.Drawing.Size(194, 38);
			this.ToolStripMenuItemConfigureGroups.Text = "Groups";
			//
			//ToolStripMenuItemConfigureTags
			//
			this.ToolStripMenuItemConfigureTags.Image = Example.Properties.Resources.folder32;
			this.ToolStripMenuItemConfigureTags.ImageScaling = System.Windows.Forms.ToolStripItemImageScaling.None;
			this.ToolStripMenuItemConfigureTags.Name = "ToolStripMenuItemConfigureTags";
			this.ToolStripMenuItemConfigureTags.Size = new System.Drawing.Size(194, 38);
			this.ToolStripMenuItemConfigureTags.Text = "Tags";
			//
			//DriverInterfacesToolStripMenuItem
			//
			this.DriverInterfacesToolStripMenuItem.Image = Example.Properties.Resources.connect;
			this.DriverInterfacesToolStripMenuItem.ImageScaling = System.Windows.Forms.ToolStripItemImageScaling.None;
			this.DriverInterfacesToolStripMenuItem.Name = "DriverInterfacesToolStripMenuItem";
			this.DriverInterfacesToolStripMenuItem.Size = new System.Drawing.Size(194, 38);
			this.DriverInterfacesToolStripMenuItem.Text = "Driver Interfaces";
			//
			//ToolStripMenuItemConfigureTrendPoints
			//
			this.ToolStripMenuItemConfigureTrendPoints.Image = Example.Properties.Resources.chart32;
			this.ToolStripMenuItemConfigureTrendPoints.ImageScaling = System.Windows.Forms.ToolStripItemImageScaling.None;
			this.ToolStripMenuItemConfigureTrendPoints.Name = "ToolStripMenuItemConfigureTrendPoints";
			this.ToolStripMenuItemConfigureTrendPoints.Size = new System.Drawing.Size(194, 38);
			this.ToolStripMenuItemConfigureTrendPoints.Text = "Trend Points";
			//
			//ToolStripMenuItemConfigureDataLogging
			//
			this.ToolStripMenuItemConfigureDataLogging.Image = Example.Properties.Resources.DB32;
			this.ToolStripMenuItemConfigureDataLogging.ImageScaling = System.Windows.Forms.ToolStripItemImageScaling.None;
			this.ToolStripMenuItemConfigureDataLogging.Name = "ToolStripMenuItemConfigureDataLogging";
			this.ToolStripMenuItemConfigureDataLogging.Size = new System.Drawing.Size(194, 38);
			this.ToolStripMenuItemConfigureDataLogging.Text = "Data Logging";
			//
			//ToolStripMenuItemConfigureAlarmLogging
			//
			this.ToolStripMenuItemConfigureAlarmLogging.Image = Example.Properties.Resources.AlarmLog32;
			this.ToolStripMenuItemConfigureAlarmLogging.ImageScaling = System.Windows.Forms.ToolStripItemImageScaling.None;
			this.ToolStripMenuItemConfigureAlarmLogging.Name = "ToolStripMenuItemConfigureAlarmLogging";
			this.ToolStripMenuItemConfigureAlarmLogging.Size = new System.Drawing.Size(194, 38);
			this.ToolStripMenuItemConfigureAlarmLogging.Text = "Alarm Logging";
			//
			//ToolStripMenuItemAlarmNotification
			//
			this.ToolStripMenuItemAlarmNotification.Image = Example.Properties.Resources.timer_32;
			this.ToolStripMenuItemAlarmNotification.ImageScaling = System.Windows.Forms.ToolStripItemImageScaling.None;
			this.ToolStripMenuItemAlarmNotification.Name = "ToolStripMenuItemAlarmNotification";
			this.ToolStripMenuItemAlarmNotification.Size = new System.Drawing.Size(194, 38);
			this.ToolStripMenuItemAlarmNotification.Text = "Alarm Notification";
			//
			//ToolStripMenuItemConfigureRecipes
			//
			this.ToolStripMenuItemConfigureRecipes.Image = Example.Properties.Resources.Recipe32;
			this.ToolStripMenuItemConfigureRecipes.ImageScaling = System.Windows.Forms.ToolStripItemImageScaling.None;
			this.ToolStripMenuItemConfigureRecipes.Name = "ToolStripMenuItemConfigureRecipes";
			this.ToolStripMenuItemConfigureRecipes.Size = new System.Drawing.Size(194, 38);
			this.ToolStripMenuItemConfigureRecipes.Text = "Recipes";
			//
			//ToolStripMenuItemConfigureReports
			//
			this.ToolStripMenuItemConfigureReports.Image = Example.Properties.Resources.fileedit32;
			this.ToolStripMenuItemConfigureReports.ImageScaling = System.Windows.Forms.ToolStripItemImageScaling.None;
			this.ToolStripMenuItemConfigureReports.Name = "ToolStripMenuItemConfigureReports";
			this.ToolStripMenuItemConfigureReports.Size = new System.Drawing.Size(194, 38);
			this.ToolStripMenuItemConfigureReports.Text = "Reports";
			//
			//ToolStripMenuItemSecurity
			//
			this.ToolStripMenuItemSecurity.ImageScaling = System.Windows.Forms.ToolStripItemImageScaling.None;
			this.ToolStripMenuItemSecurity.Name = "ToolStripMenuItemSecurity";
			this.ToolStripMenuItemSecurity.Size = new System.Drawing.Size(194, 38);
			this.ToolStripMenuItemSecurity.Text = "Security";
			//
			//ToolStripMenuItemConfigureCSVImportExport
			//
			this.ToolStripMenuItemConfigureCSVImportExport.Image = Example.Properties.Resources.fileup32;
			this.ToolStripMenuItemConfigureCSVImportExport.ImageScaling = System.Windows.Forms.ToolStripItemImageScaling.None;
			this.ToolStripMenuItemConfigureCSVImportExport.Name = "ToolStripMenuItemConfigureCSVImportExport";
			this.ToolStripMenuItemConfigureCSVImportExport.Size = new System.Drawing.Size(194, 38);
			this.ToolStripMenuItemConfigureCSVImportExport.Text = "CSV Import / Export";
			//
			//ToolStripMenuItemConfigureOPC
			//
			this.ToolStripMenuItemConfigureOPC.Image = Example.Properties.Resources.OPC32;
			this.ToolStripMenuItemConfigureOPC.ImageScaling = System.Windows.Forms.ToolStripItemImageScaling.None;
			this.ToolStripMenuItemConfigureOPC.Name = "ToolStripMenuItemConfigureOPC";
			this.ToolStripMenuItemConfigureOPC.Size = new System.Drawing.Size(194, 38);
			this.ToolStripMenuItemConfigureOPC.Text = "OPC";
			//
			//ToolStripMenuItemConfigureOptions
			//
			this.ToolStripMenuItemConfigureOptions.Image = Example.Properties.Resources.Options32;
			this.ToolStripMenuItemConfigureOptions.ImageScaling = System.Windows.Forms.ToolStripItemImageScaling.None;
			this.ToolStripMenuItemConfigureOptions.Name = "ToolStripMenuItemConfigureOptions";
			this.ToolStripMenuItemConfigureOptions.Size = new System.Drawing.Size(194, 38);
			this.ToolStripMenuItemConfigureOptions.Text = "Options";
			//
			//SystemErrorsToolStripMenuItem
			//
			this.SystemErrorsToolStripMenuItem.Image = Example.Properties.Resources.triang_red32;
			this.SystemErrorsToolStripMenuItem.ImageScaling = System.Windows.Forms.ToolStripItemImageScaling.None;
			this.SystemErrorsToolStripMenuItem.Name = "SystemErrorsToolStripMenuItem";
			this.SystemErrorsToolStripMenuItem.Size = new System.Drawing.Size(194, 38);
			this.SystemErrorsToolStripMenuItem.Text = "System Errors";
			//
			//ToolStripMenuItemNetworkNode
			//
			this.ToolStripMenuItemNetworkNode.Image = Example.Properties.Resources.www2;
			this.ToolStripMenuItemNetworkNode.Name = "ToolStripMenuItemNetworkNode";
			this.ToolStripMenuItemNetworkNode.Size = new System.Drawing.Size(112, 23);
			this.ToolStripMenuItemNetworkNode.Text = "Network Node";
			//
			//ToolStripMenuItemLogIn
			//
			this.ToolStripMenuItemLogIn.Image = Example.Properties.Resources.user_blue;
			this.ToolStripMenuItemLogIn.Name = "ToolStripMenuItemLogIn";
			this.ToolStripMenuItemLogIn.Size = new System.Drawing.Size(68, 23);
			this.ToolStripMenuItemLogIn.Text = "Log In";
			//
			//ToolStripMenuItemLogOff
			//
			this.ToolStripMenuItemLogOff.Image = Example.Properties.Resources.user;
			this.ToolStripMenuItemLogOff.Name = "ToolStripMenuItemLogOff";
			this.ToolStripMenuItemLogOff.Size = new System.Drawing.Size(75, 23);
			this.ToolStripMenuItemLogOff.Text = "Log Off";
			this.ToolStripMenuItemLogOff.Visible = false;
			//
			//FormMain
			//
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(792, 566);
			this.Controls.Add(this.MenuStripMain);
			this.Icon = (System.Drawing.Icon)resources.GetObject("$this.Icon");
			this.IsMdiContainer = true;
			this.MainMenuStrip = this.MenuStripMain;
			this.MinimumSize = new System.Drawing.Size(800, 600);
			this.Name = "FormMain";
			this.Text = "OPC Systems.NET Example";
			this.MenuStripMain.ResumeLayout(false);
			this.MenuStripMain.PerformLayout();
			this.ResumeLayout(false);
			this.PerformLayout();

//INSTANT C# NOTE: Converted design-time event handler wireups:
			ToolStripMenuItemExit.Click += new System.EventHandler(ToolStripMenuItemExit_Click);
			ToolStripMenuItemSymbols.Click += new System.EventHandler(ToolStripMenuItemSymbols_Click);
			ToolStripMenuItemAll.Click += new System.EventHandler(ToolStripMenuItemAll_Click);
			ToolStripMenuItemTrend.Click += new System.EventHandler(ToolStripMenuItemTrend_Click);
			ToolStripMenuItemAlarms.Click += new System.EventHandler(ToolStripMenuItemAlarms_Click);
			ToolStripMenuItemGauges.Click += new System.EventHandler(ToolStripMenuItemGauges_Click);
			ToolStripMenuItemLabels.Click += new System.EventHandler(ToolStripMenuItemLabels_Click_1);
			ToolStripMenuItemButtons.Click += new System.EventHandler(ToolStripMenuItemButtons_Click_1);
			ToolStripMenuItemTextBoxes.Click += new System.EventHandler(ToolStripMenuItemTextBoxes_Click_1);
			ToolStripMenuItemCheckBoxes.Click += new System.EventHandler(ToolStripMenuItemCheckBoxes_Click_1);
			ToolStripMenuItemRadioButtons.Click += new System.EventHandler(ToolStripMenuItemRadioButtons_Click_1);
			ToolStripMenuItemGroupBoxes.Click += new System.EventHandler(ToolStripMenuItemGroupBoxes_Click_1);
			ToolStripMenuItemPictureBoxes.Click += new System.EventHandler(ToolStripMenuItemPictureBoxes_Click);
			ToolStripMenuItemPanels.Click += new System.EventHandler(ToolStripMenuItemPanels_Click_1);
			ToolStripMenuItemListBoxes.Click += new System.EventHandler(ToolStripMenuItemListBoxes_Click_1);
			ToolStripMenuItemComboBoxes.Click += new System.EventHandler(ToolStripMenuItemComboBoxes_Click_1);
			ToolStripMenuItemHScrollBars.Click += new System.EventHandler(ToolStripMenuItemHScrollBars_Click_1);
			ToolStripMenuItemVScrollBars.Click += new System.EventHandler(ToolStripMenuItemVScrollBars_Click_1);
			ToolStripMenuItemTrackBars.Click += new System.EventHandler(ToolStripMenuItemTrackBars_Click_1);
			ToolStripMenuItemStatusBars.Click += new System.EventHandler(ToolStripMenuItemStatusBars_Click_1);
			ToolStripMenuItemReadValues.Click += new System.EventHandler(ToolStripMenuItemReadValues_Click_1);
			ToolStripMenuItemWriteValues.Click += new System.EventHandler(ToolStripMenuItemWriteValues_Click_1);
			ToolStripMenuItemDataLogging.Click += new System.EventHandler(ToolStripMenuItemDataLogging_Click);
			ToolStripMenuItemConfigureGeneral.Click += new System.EventHandler(ToolStripMenuItemConfigureGeneral_Click);
			ToolStripMenuItemConfigureGroups.Click += new System.EventHandler(ToolStripMenuItemConfigureGroups_Click);
			ToolStripMenuItemConfigureTags.Click += new System.EventHandler(ToolStripMenuItemConfigureTags_Click);
			ToolStripMenuItemConfigureTrendPoints.Click += new System.EventHandler(ToolStripMenuItemConfigureTrendPoints_Click);
			ToolStripMenuItemConfigureDataLogging.Click += new System.EventHandler(ToolStripMenuItemConfigureDataLogging_Click);
			ToolStripMenuItemConfigureAlarmLogging.Click += new System.EventHandler(ToolStripMenuItemConfigureAlarmLogging_Click);
			ToolStripMenuItemAlarmNotification.Click += new System.EventHandler(ToolStripMenuItemAlarmNotification_Click);
			ToolStripMenuItemConfigureRecipes.Click += new System.EventHandler(ToolStripMenuItemConfigureRecipes_Click);
			ToolStripMenuItemConfigureReports.Click += new System.EventHandler(ToolStripMenuItemConfigureReports_Click);
			ToolStripMenuItemSecurity.Click += new System.EventHandler(ToolStripMenuItemSecurity_Click);
			ToolStripMenuItemConfigureCSVImportExport.Click += new System.EventHandler(ToolStripMenuItemConfigureCSVImportExport_Click);
			ToolStripMenuItemConfigureOPC.Click += new System.EventHandler(ToolStripMenuItemConfigureOPC_Click);
			ToolStripMenuItemConfigureOptions.Click += new System.EventHandler(ToolStripMenuItemConfigureOptions_Click);
			ToolStripMenuItemNetworkNode.Click += new System.EventHandler(ToolStripMenuItemNetworkNode_Click);
			ToolStripMenuItemLogIn.Click += new System.EventHandler(ToolStripMenuItemLogIn_Click);
			ToolStripMenuItemLogOff.Click += new System.EventHandler(ToolStripMenuItemLogOff_Click);
			ToolStripMenuItemTanks.Click += new System.EventHandler(ToolStripMenuItemTanks_Click);
			base.Load += new System.EventHandler(FormMain_Load);
			SystemErrorsToolStripMenuItem.Click += new System.EventHandler(SystemErrorsToolStripMenuItem_Click);
			DriverInterfacesToolStripMenuItem.Click += new System.EventHandler(DriverInterfacesToolStripMenuItem_Click);
		}

#endregion

		public void SetAllFormsToNetworkNode()
		{
			if (string.IsNullOrEmpty(ModuleNetworkNode.NetworkNode))
			{
				this.Text = "OPC Systems.NET Example Connected to localhost";
			}
			else
			{
				this.Text = "OPC Systems.NET Example Connected to " + ModuleNetworkNode.NetworkNode;
			}

			SetNetworkNodeTanks();
			SetNetworkNodeAll();
			SetNetworkNodeTrend();
			SetNetworkNodeAlarm();
			SetNetworkNodeConfigureAlarmLogging();
			SetNetworkNodeConfigureAlarmNotification();
			SetNetworkNodeConfigureCSV();
			SetNetworkNodeConfigureDataLogging();
			SetNetworkNodeConfigureGeneral();
			SetNetworkNodeConfigureGroups();
			SetNetworkNodeConfigureOPC();
			SetNetworkNodeConfigureOptions();
			SetNetworkNodeConfigureSystemErrors();
			SetNetworkNodeConfigureRecipes();
			SetNetworkNodeConfigureReports();
			SetNetworkNodeConfigureSecurity();
			SetNetworkNodeConfigureTags();
			SetNetworkNodeConfigureDriverInterfaces();
			SetNetworkNodeConfigureTrendPoints();
		}

		private void SetNetworkNodeConfigureAlarmLogging()
		{
			if (frmConfigureAlarmLogging != null)
			{
				if (!(ModuleNetworkNode.NetworkNodeChanged))
				{
					return; // If Network node has not changed from localhost there is no need to programmatically set it.
				}
				frmConfigureAlarmLogging.TextBoxNetworkNode.Text = ModuleNetworkNode.NetworkNode;
			}
		}

		private void SetNetworkNodeConfigureAlarmNotification()
		{
			if (frmConfigureAlarmNotification != null)
			{
				if (!(ModuleNetworkNode.NetworkNodeChanged))
				{
					return; // If Network node has not changed from localhost there is no need to programmatically set it.
				}
				frmConfigureAlarmNotification.TextBoxNetworkNode.Text = ModuleNetworkNode.NetworkNode;
			}
		}

		private void SetNetworkNodeConfigureCSV()
		{
			if (frmConfigureCSV != null)
			{
				if (!(ModuleNetworkNode.NetworkNodeChanged))
				{
					return; // If Network node has not changed from localhost there is no need to programmatically set it.
				}
				frmConfigureCSV.TextBoxNetworkNode.Text = ModuleNetworkNode.NetworkNode;
			}
		}

		private void SetNetworkNodeConfigureDataLogging()
		{
			if (frmConfigureDataLogging != null)
			{
				if (!(ModuleNetworkNode.NetworkNodeChanged))
				{
					return; // If Network node has not changed from localhost there is no need to programmatically set it.
				}
				frmConfigureDataLogging.TextBoxNetworkNode.Text = ModuleNetworkNode.NetworkNode;
			}
		}

		private void SetNetworkNodeDataLogging()
		{
			if (frmDataLogging != null)
			{
				if (!(ModuleNetworkNode.NetworkNodeChanged))
				{
					return; // If Network node has not changed from localhost there is no need to programmatically set it.
				}
				frmDataLogging.TextBoxNetworkNode.Text = ModuleNetworkNode.NetworkNode;
			}
		}

		private void SetNetworkNodeConfigureGeneral()
		{
			if (frmConfigureGeneral != null)
			{
				if (!(ModuleNetworkNode.NetworkNodeChanged))
				{
					return; // If Network node has not changed from localhost there is no need to programmatically set it.
				}
				frmConfigureGeneral.TextBoxNetworkNode.Text = ModuleNetworkNode.NetworkNode;
			}
		}

		private void SetNetworkNodeConfigureGroups()
		{
			if (frmConfigureGroups != null)
			{
				if (!(ModuleNetworkNode.NetworkNodeChanged))
				{
					return; // If Network node has not changed from localhost there is no need to programmatically set it.
				}
				frmConfigureGroups.TextBoxNetworkNode.Text = ModuleNetworkNode.NetworkNode;
			}
		}

		private void SetNetworkNodeConfigureOPC()
		{
			if (frmConfigureOPC != null)
			{
				if (!(ModuleNetworkNode.NetworkNodeChanged))
				{
					return; // If Network node has not changed from localhost there is no need to programmatically set it.
				}
				frmConfigureOPC.TextBoxNetworkNode.Text = ModuleNetworkNode.NetworkNode;
			}
		}

		private void SetNetworkNodeConfigureOptions()
		{
			if (frmConfigureOptions != null)
			{
				if (!(ModuleNetworkNode.NetworkNodeChanged))
				{
					return; // If Network node has not changed from localhost there is no need to programmatically set it.
				}
				frmConfigureOptions.TextBoxNetworkNode.Text = ModuleNetworkNode.NetworkNode;
			}
		}

		private void SetNetworkNodeConfigureSystemErrors()
		{
			if (frmConfigureSystemErrors != null)
			{
				if (!(ModuleNetworkNode.NetworkNodeChanged))
				{
					return; // If Network node has not changed from localhost there is no need to programmatically set it.
				}
				frmConfigureSystemErrors.TextBoxNetworkNode.Text = ModuleNetworkNode.NetworkNode;
			}
		}


		private void SetNetworkNodeConfigureRecipes()
		{
			if (frmConfigureRecipes != null)
			{
				if (!(ModuleNetworkNode.NetworkNodeChanged))
				{
					return; // If Network node has not changed from localhost there is no need to programmatically set it.
				}
				frmConfigureRecipes.TextBoxNetworkNode.Text = ModuleNetworkNode.NetworkNode;
			}
		}

		private void SetNetworkNodeConfigureReports()
		{
			if (frmConfigureReports != null)
			{
				if (!(ModuleNetworkNode.NetworkNodeChanged))
				{
					return; // If Network node has not changed from localhost there is no need to programmatically set it.
				}
				frmConfigureReports.TextBoxNetworkNode.Text = ModuleNetworkNode.NetworkNode;
			}
		}

		private void SetNetworkNodeConfigureSecurity()
		{
			if (frmConfigureSecurity != null)
			{
				if (!(ModuleNetworkNode.NetworkNodeChanged))
				{
					return; // If Network node has not changed from localhost there is no need to programmatically set it.
				}
				frmConfigureSecurity.TextBoxNetworkNode.Text = ModuleNetworkNode.NetworkNode;
			}
		}

		private void SetNetworkNodeConfigureTags()
		{
			if (frmConfigureTags != null)
			{
				if (!(ModuleNetworkNode.NetworkNodeChanged))
				{
					return; // If Network node has not changed from localhost there is no need to programmatically set it.
				}
				frmConfigureTags.TextBoxNetworkNode.Text = ModuleNetworkNode.NetworkNode;
			}
		}

		private void SetNetworkNodeConfigureDriverInterfaces()
		{
			if (frmConfigureDriverInterfaces != null)
			{
				if (!(ModuleNetworkNode.NetworkNodeChanged))
				{
					return; // If Network node has not changed from localhost there is no need to programmatically set it.
				}
				frmConfigureDriverInterfaces.TextBoxNetworkNode.Text = ModuleNetworkNode.NetworkNode;
			}
		}

		private void SetNetworkNodeConfigureTrendPoints()
		{
			if (frmConfigureTrendPoints != null)
			{
				if (!(ModuleNetworkNode.NetworkNodeChanged))
				{
					return; // If Network node has not changed from localhost there is no need to programmatically set it.
				}
				frmConfigureTrendPoints.TextBoxNetworkNode.Text = ModuleNetworkNode.NetworkNode;
			}
		}


		private void SetNetworkNodeAll()
		{
			if (frmAll != null)
			{
				if (!(ModuleNetworkNode.NetworkNodeChanged))
				{
					return; // If Network node has not changed from localhost there is no need to programmatically set the Tags.
				}

				// Setup Trend Window
				OPCTrendControl.ClassPen NewPen = null;
				OPCTrendControl.ClassPen[] NewPens = null;
				NewPens = new OPCTrendControl.ClassPen[4];
				if (string.IsNullOrEmpty(ModuleNetworkNode.NetworkPath))
				{
					NewPen = new OPCTrendControl.ClassPen(ModuleNetworkNode.NetworkPath + "Ramp.Value", "localhost");
				}
				else
				{
					NewPen = new OPCTrendControl.ClassPen(ModuleNetworkNode.NetworkPath + "Ramp.Value", ModuleNetworkNode.NetworkNode);
				}
				NewPen.LineBorderColor = Color.Blue;
				NewPen.LineFillColor = Color.Blue;
				NewPen.Description = "Ramp";
				NewPen.LineStyle = OPCTrendControl.ClassPen.LineStyleTypes.Ellipsoid;
				NewPens[0] = NewPen;

				if (string.IsNullOrEmpty(ModuleNetworkNode.NetworkPath))
				{
					NewPen = new OPCTrendControl.ClassPen(ModuleNetworkNode.NetworkPath + "Sine.Value", "localhost");
				}
				else
				{
					NewPen = new OPCTrendControl.ClassPen(ModuleNetworkNode.NetworkPath + "Sine.Value", ModuleNetworkNode.NetworkNode);
				}

				NewPen.LineBorderColor = Color.Red;
				NewPen.LineFillColor = Color.Red;
				NewPen.Description = "Sine";
				NewPen.YAxisRangeHigh = 1;
				NewPen.YAxisRangeLow = -1;
				NewPen.LineStyle = OPCTrendControl.ClassPen.LineStyleTypes.Tube;
				NewPens[1] = NewPen;

				if (string.IsNullOrEmpty(ModuleNetworkNode.NetworkPath))
				{
					NewPen = new OPCTrendControl.ClassPen(ModuleNetworkNode.NetworkPath + "Random.Value", "localhost");
				}
				else
				{
					NewPen = new OPCTrendControl.ClassPen(ModuleNetworkNode.NetworkPath + "Random.Value", ModuleNetworkNode.NetworkNode);
				}

				NewPen.LineBorderColor = Color.Green;
				NewPen.LineFillColor = Color.Green;
				NewPen.Description = "Random";
				NewPen.MarkerFillColor = Color.Green;
				NewPen.MarkerStyle = OPCTrendControl.ClassPen.MarkerStyleTypes.Sphere;
				NewPen.MarkerSize = 20;
				NewPens[2] = NewPen;

				if (string.IsNullOrEmpty(ModuleNetworkNode.NetworkPath))
				{
					NewPen = new OPCTrendControl.ClassPen(ModuleNetworkNode.NetworkPath + "Write Float.Value", "localhost");
				}
				else
				{
					NewPen = new OPCTrendControl.ClassPen(ModuleNetworkNode.NetworkPath + "Write Float.Value", ModuleNetworkNode.NetworkNode);
				}
				NewPen.LineBorderColor = Color.Orange;
				NewPen.LineFillColor = Color.Orange;
				NewPen.LineStyle = OPCTrendControl.ClassPen.LineStyleTypes.Tape;
				NewPens[3] = NewPen;

				frmAll.OpcTrendControl1.Pens = NewPens;

				// Setup Alarm Window
				string[] AlarmNetworkNodes = new string[1];

				if (string.IsNullOrEmpty(ModuleNetworkNode.NetworkNode))
				{
					AlarmNetworkNodes[0] = "localhost";
				}
				else
				{
					AlarmNetworkNodes[0] = ModuleNetworkNode.NetworkNode;
				}
				frmAll.OpcAlarmControl1.AlarmNetworkNodes = AlarmNetworkNodes;
			}
		}

		private void SetNetworkNodeTrend()
		{
			if (frmTrend != null)
			{
				if (!(ModuleNetworkNode.NetworkNodeChanged))
				{
					return; // If Network node has not changed from localhost there is no need to programmatically set the Tags.
				}

				OPCTrendControl.ClassPen NewPen = null;
				OPCTrendControl.ClassPen[] NewPens = null;
				NewPens = new OPCTrendControl.ClassPen[3];
				if (string.IsNullOrEmpty(ModuleNetworkNode.NetworkPath))
				{
					NewPen = new OPCTrendControl.ClassPen(ModuleNetworkNode.NetworkPath + "Ramp.Value", "localhost");
				}
				else
				{
					NewPen = new OPCTrendControl.ClassPen(ModuleNetworkNode.NetworkPath + "Ramp.Value", ModuleNetworkNode.NetworkNode);
				}
				NewPen.LineBorderColor = Color.Blue;
				NewPen.LineFillColor = Color.Blue;
				NewPen.Description = "Ramp";
				NewPen.LineStyle = OPCTrendControl.ClassPen.LineStyleTypes.Ellipsoid;
				NewPens[0] = NewPen;

				if (string.IsNullOrEmpty(ModuleNetworkNode.NetworkPath))
				{
					NewPen = new OPCTrendControl.ClassPen(ModuleNetworkNode.NetworkPath + "Sine.Value", "localhost");
				}
				else
				{
					NewPen = new OPCTrendControl.ClassPen(ModuleNetworkNode.NetworkPath + "Sine.Value", ModuleNetworkNode.NetworkNode);
				}

				NewPen.LineBorderColor = Color.Red;
				NewPen.LineFillColor = Color.Red;
				NewPen.Description = "Sine";
				NewPen.YAxisRangeHigh = 1;
				NewPen.YAxisRangeLow = -1;
				NewPen.LineStyle = OPCTrendControl.ClassPen.LineStyleTypes.Tube;
				NewPens[1] = NewPen;

				if (string.IsNullOrEmpty(ModuleNetworkNode.NetworkPath))
				{
					NewPen = new OPCTrendControl.ClassPen(ModuleNetworkNode.NetworkPath + "Random.Value", "localhost");
				}
				else
				{
					NewPen = new OPCTrendControl.ClassPen(ModuleNetworkNode.NetworkPath + "Random.Value", ModuleNetworkNode.NetworkNode);
				}

				NewPen.LineBorderColor = Color.Green;
				NewPen.LineFillColor = Color.Green;
				NewPen.Description = "Random";
				NewPen.MarkerFillColor = Color.Green;
				NewPen.MarkerStyle = OPCTrendControl.ClassPen.MarkerStyleTypes.Sphere;
				NewPen.MarkerSize = 20;
				NewPens[2] = NewPen;

				frmTrend.OpcTrendControl1.Pens = NewPens;

			}
		}

		private void SetNetworkNodeAlarm()
		{
			if (frmAlarm != null)
			{
				if (!(ModuleNetworkNode.NetworkNodeChanged))
				{
					return; // If Network node has not changed from localhost there is no need to programmatically set the Tags.
				}

				// Setup Alarm Window
				string[] AlarmNetworkNodes = new string[1];

				if (string.IsNullOrEmpty(ModuleNetworkNode.NetworkNode))
				{
					AlarmNetworkNodes[0] = "localhost";
				}
				else
				{
					AlarmNetworkNodes[0] = ModuleNetworkNode.NetworkNode;
				}
				frmAlarm.OpcAlarmControl1.AlarmNetworkNodes = AlarmNetworkNodes;
			}
		}

		private void SetNetworkNodeTanks()
		{
			if (frmTanks != null)
			{
				if (!(ModuleNetworkNode.NetworkNodeChanged))
				{
					return; // If Network node has not changed from localhost there is no need to programmatically set the Tags.
				}

				// Setup Alarm Window
				string[] AlarmNetworkNodes = new string[1];

				if (string.IsNullOrEmpty(ModuleNetworkNode.NetworkNode))
				{
					AlarmNetworkNodes[0] = "localhost";
				}
				else
				{
					AlarmNetworkNodes[0] = ModuleNetworkNode.NetworkNode;
				}
				frmTanks.OpcAlarmControl1.AlarmNetworkNodes = AlarmNetworkNodes;
			}
		}

		private void ToolStripMenuItemExit_Click(object sender, System.EventArgs e)
		{
			Application.Exit();
		}

		private void ToolStripMenuItemSymbols_Click(object sender, System.EventArgs e)
		{
			if (frmSymbols == null)
			{
				frmSymbols = new FormSymbols();
				frmSymbols.MdiParent = this;
				frmSymbols.Show();
			}
			if (!(frmSymbols.MdiParent == this))
			{
				frmSymbols = new FormSymbols();
				frmSymbols.MdiParent = this;
				frmSymbols.Show();
			}
			frmSymbols.BringToFront();
		}

		private void ToolStripMenuItemAll_Click(object sender, System.EventArgs e)
		{
			if (frmAll == null)
			{
				frmAll = new FormAll();
				frmAll.MdiParent = this;
				SetNetworkNodeAll();
				frmAll.Show();
				if (!string.IsNullOrEmpty(m_CurrentUserName))
				{
					frmAll.OpcTrendControl1.LogIn(m_CurrentUserName, m_CurrentPassword);
					frmAll.OpcAlarmControl1.LogIn(m_CurrentUserName, m_CurrentPassword);
				}
			}
			if (!(frmAll.MdiParent == this))
			{
				frmAll = new FormAll();
				frmAll.MdiParent = this;
				SetNetworkNodeAll();
				frmAll.Show();
				if (!string.IsNullOrEmpty(m_CurrentUserName))
				{
					frmAll.OpcTrendControl1.LogIn(m_CurrentUserName, m_CurrentPassword);
					frmAll.OpcAlarmControl1.LogIn(m_CurrentUserName, m_CurrentPassword);
				}
			}
			frmAll.BringToFront();
		}

		private void ToolStripMenuItemTrend_Click(object sender, System.EventArgs e)
		{
			if (frmTrend == null)
			{
				frmTrend = new FormTrend();
				frmTrend.MdiParent = this;
				SetNetworkNodeTrend();
				frmTrend.Show();
				if (!string.IsNullOrEmpty(m_CurrentUserName))
				{
					frmTrend.OpcTrendControl1.LogIn(m_CurrentUserName, m_CurrentPassword);
				}
			}
			if (!(frmTrend.MdiParent == this))
			{
				frmTrend = new FormTrend();
				frmTrend.MdiParent = this;
				SetNetworkNodeTrend();
				frmTrend.Show();
				if (!string.IsNullOrEmpty(m_CurrentUserName))
				{
					frmTrend.OpcTrendControl1.LogIn(m_CurrentUserName, m_CurrentPassword);
				}
			}
			frmTrend.BringToFront();
		}

		private void ToolStripMenuItemAlarms_Click(object sender, System.EventArgs e)
		{
			if (frmAlarm == null)
			{
				frmAlarm = new FormAlarm();
				frmAlarm.MdiParent = this;
				SetNetworkNodeAlarm();
				frmAlarm.Show();
				if (!string.IsNullOrEmpty(m_CurrentUserName))
				{
					frmAlarm.OpcAlarmControl1.LogIn(m_CurrentUserName, m_CurrentPassword);
				}
			}
			if (!(frmAlarm.MdiParent == this))
			{
				frmAlarm = new FormAlarm();
				frmAlarm.MdiParent = this;
				SetNetworkNodeAlarm();
				frmAlarm.Show();
				if (!string.IsNullOrEmpty(m_CurrentUserName))
				{
					frmAlarm.OpcAlarmControl1.LogIn(m_CurrentUserName, m_CurrentPassword);
				}
			}
			frmAlarm.BringToFront();
		}

		private void ToolStripMenuItemGauges_Click(object sender, System.EventArgs e)
		{
			if (frmGauge == null)
			{
				frmGauge = new FormGauge();
				frmGauge.MdiParent = this;
				frmGauge.Show();
			}
			if (!(frmGauge.MdiParent == this))
			{
				frmGauge = new FormGauge();
				frmGauge.MdiParent = this;
				frmGauge.Show();
			}
			frmGauge.BringToFront();
		}

		private void ToolStripMenuItemLabels_Click_1(object sender, System.EventArgs e)
		{
			if (frmLabels == null)
			{
				frmLabels = new FormLabels();
				frmLabels.MdiParent = this;
				frmLabels.Show();
			}
			if (!(frmLabels.MdiParent == this))
			{
				frmLabels = new FormLabels();
				frmLabels.MdiParent = this;
				frmLabels.Show();
			}
			frmLabels.BringToFront();
		}

		private void ToolStripMenuItemButtons_Click_1(object sender, System.EventArgs e)
		{
			if (frmButtons == null)
			{
				frmButtons = new FormButtons();
				frmButtons.MdiParent = this;
				frmButtons.Show();
			}
			if (!(frmButtons.MdiParent == this))
			{
				frmButtons = new FormButtons();
				frmButtons.MdiParent = this;
				frmButtons.Show();
			}
			frmButtons.BringToFront();
		}

		private void ToolStripMenuItemTextBoxes_Click_1(object sender, System.EventArgs e)
		{
			if (frmTextBoxes == null)
			{
				frmTextBoxes = new FormTextBoxes();
				frmTextBoxes.MdiParent = this;
				frmTextBoxes.Show();
			}
			if (!(frmTextBoxes.MdiParent == this))
			{
				frmTextBoxes = new FormTextBoxes();
				frmTextBoxes.MdiParent = this;
				frmTextBoxes.Show();
			}
			frmTextBoxes.BringToFront();
		}

		private void ToolStripMenuItemCheckBoxes_Click_1(object sender, System.EventArgs e)
		{
			if (frmCheckBoxes == null)
			{
				frmCheckBoxes = new FormCheckBoxes();
				frmCheckBoxes.MdiParent = this;
				frmCheckBoxes.Show();
			}
			if (!(frmCheckBoxes.MdiParent == this))
			{
				frmCheckBoxes = new FormCheckBoxes();
				frmCheckBoxes.MdiParent = this;
				frmCheckBoxes.Show();
			}
			frmCheckBoxes.BringToFront();
		}

		private void ToolStripMenuItemRadioButtons_Click_1(object sender, System.EventArgs e)
		{
			if (frmRadioButtons == null)
			{
				frmRadioButtons = new FormRadioButtons();
				frmRadioButtons.MdiParent = this;
				frmRadioButtons.Show();
			}
			if (!(frmRadioButtons.MdiParent == this))
			{
				frmRadioButtons = new FormRadioButtons();
				frmRadioButtons.MdiParent = this;
				frmRadioButtons.Show();
			}
			frmRadioButtons.BringToFront();
		}

		private void ToolStripMenuItemGroupBoxes_Click_1(object sender, System.EventArgs e)
		{
			if (frmGroupBoxes == null)
			{
				frmGroupBoxes = new FormGroupBoxes();
				frmGroupBoxes.MdiParent = this;
				frmGroupBoxes.Show();
			}
			if (!(frmGroupBoxes.MdiParent == this))
			{
				frmGroupBoxes = new FormGroupBoxes();
				frmGroupBoxes.MdiParent = this;
				frmGroupBoxes.Show();
			}
			frmGroupBoxes.BringToFront();
		}

		private void ToolStripMenuItemPictureBoxes_Click(object sender, System.EventArgs e)
		{
			if (frmPictureBoxes == null)
			{
				frmPictureBoxes = new FormPictureBoxes();
				frmPictureBoxes.MdiParent = this;
				frmPictureBoxes.Show();
			}
			if (!(frmPictureBoxes.MdiParent == this))
			{
				frmPictureBoxes = new FormPictureBoxes();
				frmPictureBoxes.MdiParent = this;
				frmPictureBoxes.Show();
			}
			frmPictureBoxes.BringToFront();
		}

		private void ToolStripMenuItemPanels_Click_1(object sender, System.EventArgs e)
		{
			if (frmPanels == null)
			{
				frmPanels = new FormPanels();
				frmPanels.MdiParent = this;
				frmPanels.Show();
			}
			if (!(frmPanels.MdiParent == this))
			{
				frmPanels = new FormPanels();
				frmPanels.MdiParent = this;
				frmPanels.Show();
			}
			frmPanels.BringToFront();
		}

		private void ToolStripMenuItemListBoxes_Click_1(object sender, System.EventArgs e)
		{
			if (frmListBoxes == null)
			{
				frmListBoxes = new FormListBoxes();
				frmListBoxes.MdiParent = this;
				frmListBoxes.Show();
			}
			if (!(frmListBoxes.MdiParent == this))
			{
				frmListBoxes = new FormListBoxes();
				frmListBoxes.MdiParent = this;
				frmListBoxes.Show();
			}
			frmListBoxes.BringToFront();
		}

		private void ToolStripMenuItemComboBoxes_Click_1(object sender, System.EventArgs e)
		{
			if (frmComboBoxes == null)
			{
				frmComboBoxes = new FormComboBoxes();
				frmComboBoxes.MdiParent = this;
				frmComboBoxes.Show();
			}
			if (!(frmComboBoxes.MdiParent == this))
			{
				frmComboBoxes = new FormComboBoxes();
				frmComboBoxes.MdiParent = this;
				frmComboBoxes.Show();
			}
			frmComboBoxes.BringToFront();

		}

		private void ToolStripMenuItemHScrollBars_Click_1(object sender, System.EventArgs e)
		{
			if (frmHScrollBars == null)
			{
				frmHScrollBars = new FormHScrollBars();
				frmHScrollBars.MdiParent = this;
				frmHScrollBars.Show();
			}
			if (!(frmHScrollBars.MdiParent == this))
			{
				frmHScrollBars = new FormHScrollBars();
				frmHScrollBars.MdiParent = this;
				frmHScrollBars.Show();
			}
			frmHScrollBars.BringToFront();
		}

		private void ToolStripMenuItemVScrollBars_Click_1(object sender, System.EventArgs e)
		{
			if (frmVScrollBars == null)
			{
				frmVScrollBars = new FormVScrollBars();
				frmVScrollBars.MdiParent = this;
				frmVScrollBars.Show();
			}
			if (!(frmVScrollBars.MdiParent == this))
			{
				frmVScrollBars = new FormVScrollBars();
				frmVScrollBars.MdiParent = this;
				frmVScrollBars.Show();
			}
			frmVScrollBars.BringToFront();
		}

		private void ToolStripMenuItemTrackBars_Click_1(object sender, System.EventArgs e)
		{
			if (frmTrackBars == null)
			{
				frmTrackBars = new FormTrackBars();
				frmTrackBars.MdiParent = this;
				frmTrackBars.Show();
			}
			if (!(frmTrackBars.MdiParent == this))
			{
				frmTrackBars = new FormTrackBars();
				frmTrackBars.MdiParent = this;
				frmTrackBars.Show();
			}
			frmTrackBars.BringToFront();
		}


		private void ToolStripMenuItemStatusBars_Click_1(object sender, System.EventArgs e)
		{
			if (frmStatusBars == null)
			{
				frmStatusBars = new FormStatusBars();
				frmStatusBars.MdiParent = this;
				frmStatusBars.Show();
			}
			if (!(frmStatusBars.MdiParent == this))
			{
				frmStatusBars = new FormStatusBars();
				frmStatusBars.MdiParent = this;
				frmStatusBars.Show();
			}
			frmStatusBars.BringToFront();
		}

		private void ToolStripMenuItemReadValues_Click_1(object sender, System.EventArgs e)
		{
			if (frmReadValues == null)
			{
				frmReadValues = new FormReadValues();
				frmReadValues.MdiParent = this;
				frmReadValues.Show();
			}
			if (!(frmReadValues.MdiParent == this))
			{
				frmReadValues = new FormReadValues();
				frmReadValues.MdiParent = this;
				frmReadValues.Show();
			}
			frmReadValues.BringToFront();
		}

		private void ToolStripMenuItemWriteValues_Click_1(object sender, System.EventArgs e)
		{
			if (frmWriteValues == null)
			{
				frmWriteValues = new FormWriteValues();
				frmWriteValues.MdiParent = this;
				frmWriteValues.Show();
			}
			if (!(frmWriteValues.MdiParent == this))
			{
				frmWriteValues = new FormWriteValues();
				frmWriteValues.MdiParent = this;
				frmWriteValues.Show();
			}
			frmWriteValues.BringToFront();
		}

		private void ToolStripMenuItemDataLogging_Click(object sender, System.EventArgs e)
		{
			if (frmDataLogging == null)
			{
				frmDataLogging = new FormDataLogging();
				frmDataLogging.MdiParent = this;
				SetNetworkNodeDataLogging();
				frmDataLogging.Show();
			}
			if (!(frmDataLogging.MdiParent == this))
			{
				frmDataLogging = new FormDataLogging();
				frmDataLogging.MdiParent = this;
				SetNetworkNodeDataLogging();
				frmDataLogging.Show();
			}
			frmDataLogging.BringToFront();
		}

		private void ToolStripMenuItemConfigureGeneral_Click(object sender, System.EventArgs e)
		{
			if (frmConfigureGeneral == null)
			{
				frmConfigureGeneral = new FormConfigureGeneral();
				frmConfigureGeneral.MdiParent = this;
				SetNetworkNodeConfigureGeneral();
				frmConfigureGeneral.Show();
			}
			if (!(frmConfigureGeneral.MdiParent == this))
			{
				frmConfigureGeneral = new FormConfigureGeneral();
				frmConfigureGeneral.MdiParent = this;
				SetNetworkNodeConfigureGeneral();
				frmConfigureGeneral.Show();
			}
			frmConfigureGeneral.BringToFront();
		}

		private void ToolStripMenuItemConfigureGroups_Click(object sender, System.EventArgs e)
		{
			if (frmConfigureGroups == null)
			{
				frmConfigureGroups = new FormConfigureGroups();
				frmConfigureGroups.MdiParent = this;
				SetNetworkNodeConfigureGroups();
				frmConfigureGroups.Show();
			}
			if (!(frmConfigureGroups.MdiParent == this))
			{
				frmConfigureGroups = new FormConfigureGroups();
				frmConfigureGroups.MdiParent = this;
				SetNetworkNodeConfigureGroups();
				frmConfigureGroups.Show();
			}
			frmConfigureGroups.BringToFront();
		}

		private void ToolStripMenuItemConfigureTags_Click(object sender, System.EventArgs e)
		{
			if (frmConfigureTags == null)
			{
				frmConfigureTags = new FormConfigureTags();
				frmConfigureTags.MdiParent = this;
				SetNetworkNodeConfigureTags();
				frmConfigureTags.Show();
			}
			if (!(frmConfigureTags.MdiParent == this))
			{
				frmConfigureTags = new FormConfigureTags();
				frmConfigureTags.MdiParent = this;
				SetNetworkNodeConfigureTags();
				frmConfigureTags.Show();
			}
			frmConfigureTags.BringToFront();
		}

		private void ToolStripMenuItemConfigureTrendPoints_Click(object sender, System.EventArgs e)
		{
			if (frmConfigureTrendPoints == null)
			{
				frmConfigureTrendPoints = new FormConfigureTrendPoints();
				frmConfigureTrendPoints.MdiParent = this;
				SetNetworkNodeConfigureTrendPoints();
				frmConfigureTrendPoints.Show();
			}
			if (!(frmConfigureTrendPoints.MdiParent == this))
			{
				frmConfigureTrendPoints = new FormConfigureTrendPoints();
				frmConfigureTrendPoints.MdiParent = this;
				SetNetworkNodeConfigureTrendPoints();
				frmConfigureTrendPoints.Show();
			}
			frmConfigureTrendPoints.BringToFront();
		}

		private void ToolStripMenuItemConfigureDataLogging_Click(object sender, System.EventArgs e)
		{
			if (frmConfigureDataLogging == null)
			{
				frmConfigureDataLogging = new FormConfigureDataLogging();
				frmConfigureDataLogging.MdiParent = this;
				SetNetworkNodeConfigureDataLogging();
				frmConfigureDataLogging.Show();
			}
			if (!(frmConfigureDataLogging.MdiParent == this))
			{
				frmConfigureDataLogging = new FormConfigureDataLogging();
				frmConfigureDataLogging.MdiParent = this;
				SetNetworkNodeConfigureDataLogging();
				frmConfigureDataLogging.Show();
			}
			frmConfigureDataLogging.BringToFront();
		}

		private void ToolStripMenuItemConfigureAlarmLogging_Click(object sender, System.EventArgs e)
		{
			if (frmConfigureAlarmLogging == null)
			{
				frmConfigureAlarmLogging = new FormConfigureAlarmLogging();
				frmConfigureAlarmLogging.MdiParent = this;
				SetNetworkNodeConfigureAlarmLogging();
				frmConfigureAlarmLogging.Show();
			}
			if (!(frmConfigureAlarmLogging.MdiParent == this))
			{
				frmConfigureAlarmLogging = new FormConfigureAlarmLogging();
				frmConfigureAlarmLogging.MdiParent = this;
				SetNetworkNodeConfigureAlarmLogging();
				frmConfigureAlarmLogging.Show();
			}
			frmConfigureAlarmLogging.BringToFront();
		}

		private void ToolStripMenuItemAlarmNotification_Click(object sender, System.EventArgs e)
		{
			if (frmConfigureAlarmNotification == null)
			{
				frmConfigureAlarmNotification = new FormConfigureAlarmNotification();
				frmConfigureAlarmNotification.MdiParent = this;
				SetNetworkNodeConfigureAlarmNotification();
				frmConfigureAlarmNotification.Show();
			}
			if (!(frmConfigureAlarmNotification.MdiParent == this))
			{
				frmConfigureAlarmNotification = new FormConfigureAlarmNotification();
				frmConfigureAlarmNotification.MdiParent = this;
				SetNetworkNodeConfigureAlarmNotification();
				frmConfigureAlarmNotification.Show();
			}
			frmConfigureAlarmNotification.BringToFront();
		}

		private void ToolStripMenuItemConfigureRecipes_Click(object sender, System.EventArgs e)
		{
			if (frmConfigureRecipes == null)
			{
				frmConfigureRecipes = new FormConfigureRecipes();
				frmConfigureRecipes.MdiParent = this;
				SetNetworkNodeConfigureRecipes();
				frmConfigureRecipes.Show();
			}
			if (!(frmConfigureRecipes.MdiParent == this))
			{
				frmConfigureRecipes = new FormConfigureRecipes();
				frmConfigureRecipes.MdiParent = this;
				SetNetworkNodeConfigureRecipes();
				frmConfigureRecipes.Show();
			}
			frmConfigureRecipes.BringToFront();
		}

		private void ToolStripMenuItemConfigureReports_Click(object sender, System.EventArgs e)
		{
			if (frmConfigureReports == null)
			{
				frmConfigureReports = new FormConfigureReports();
				frmConfigureReports.MdiParent = this;
				SetNetworkNodeConfigureReports();
				frmConfigureReports.Show();
			}
			if (!(frmConfigureReports.MdiParent == this))
			{
				frmConfigureReports = new FormConfigureReports();
				frmConfigureReports.MdiParent = this;
				SetNetworkNodeConfigureReports();
				frmConfigureReports.Show();
			}
			frmConfigureReports.BringToFront();
		}

		private void ToolStripMenuItemSecurity_Click(object sender, System.EventArgs e)
		{
			if (frmConfigureSecurity == null)
			{
				frmConfigureSecurity = new FormConfigureSecurity();
				frmConfigureSecurity.MdiParent = this;
				SetNetworkNodeConfigureSecurity();
				frmConfigureSecurity.Show();
			}
			if (!(frmConfigureSecurity.MdiParent == this))
			{
				frmConfigureSecurity = new FormConfigureSecurity();
				frmConfigureSecurity.MdiParent = this;
				SetNetworkNodeConfigureSecurity();
				frmConfigureSecurity.Show();
			}
			frmConfigureSecurity.BringToFront();
		}

		private void ToolStripMenuItemConfigureCSVImportExport_Click(object sender, System.EventArgs e)
		{
			if (frmConfigureCSV == null)
			{
				frmConfigureCSV = new FormConfigureCSV();
				frmConfigureCSV.MdiParent = this;
				SetNetworkNodeConfigureCSV();
				frmConfigureCSV.Show();
			}
			if (!(frmConfigureCSV.MdiParent == this))
			{
				frmConfigureCSV = new FormConfigureCSV();
				frmConfigureCSV.MdiParent = this;
				SetNetworkNodeConfigureCSV();
				frmConfigureCSV.Show();
			}
			frmConfigureCSV.BringToFront();
		}

		private void ToolStripMenuItemConfigureOPC_Click(object sender, System.EventArgs e)
		{
			if (frmConfigureOPC == null)
			{
				frmConfigureOPC = new FormConfigureOPC();
				frmConfigureOPC.MdiParent = this;
				SetNetworkNodeConfigureOPC();
				frmConfigureOPC.Show();
			}
			if (!(frmConfigureOPC.MdiParent == this))
			{
				frmConfigureOPC = new FormConfigureOPC();
				frmConfigureOPC.MdiParent = this;
				SetNetworkNodeConfigureOPC();
				frmConfigureOPC.Show();
			}
			frmConfigureOPC.BringToFront();
		}

		private void ToolStripMenuItemConfigureOptions_Click(object sender, System.EventArgs e)
		{
			if (frmConfigureOptions == null)
			{
				frmConfigureOptions = new FormConfigureOptions();
				frmConfigureOptions.MdiParent = this;
				SetNetworkNodeConfigureOptions();
				frmConfigureOptions.Show();
			}
			if (!(frmConfigureOptions.MdiParent == this))
			{
				frmConfigureOptions = new FormConfigureOptions();
				frmConfigureOptions.MdiParent = this;
				SetNetworkNodeConfigureOptions();
				frmConfigureOptions.Show();
			}
			frmConfigureOptions.BringToFront();
		}

		private void ToolStripMenuItemNetworkNode_Click(object sender, System.EventArgs e)
		{
			FormNetworkNode frmNetworkNode = new FormNetworkNode();
			frmNetworkNode.TextBoxNetworkNode.Text = ModuleNetworkNode.NetworkNode;
			frmNetworkNode.ShowDialog(this);
			if (frmNetworkNode.DialogResult == System.Windows.Forms.DialogResult.OK)
			{
				// ****  This is one common call that is used to reassign all OPC Controls.NET items for the whole application to a different network node  ****
				OpcControlsNetworkNodes1.AddNetworkNodeAlias("localhost", frmNetworkNode.TextBoxNetworkNode.Text);
				OpcSystemsDataNetworkNodes1.AddNetworkNodeAlias("localhost", frmNetworkNode.TextBoxNetworkNode.Text);
				OpcGaugeNetworkNodes1.AddNetworkNodeAlias("localhost", frmNetworkNode.TextBoxNetworkNode.Text);
				ModuleNetworkNode.SetNetworkNode(frmNetworkNode.TextBoxNetworkNode.Text);
			}
			SetAllFormsToNetworkNode();
		}

		// The following is an example on how to log into multiple controls.
		// You can also use the method ShowUserLogIn on each individual control for individual log in.
		private void ToolStripMenuItemLogIn_Click(object sender, System.EventArgs e)
		{
			LoginFormUser frmLogIn = new LoginFormUser();
			string resultString = null;
            if (frmLogIn.ShowDialog() == System.Windows.Forms.DialogResult.OK)
			{
				if (string.IsNullOrEmpty(frmLogIn.UsernameTextBox.Text))
				{
					MessageBox.Show("Invalid User Name", "Cannot Log In to Application", MessageBoxButtons.OK, MessageBoxIcon.Error);
				}
				else
				{
					resultString = OpcControlsLogin1.LogIn(frmLogIn.UsernameTextBox.Text, frmLogIn.PasswordTextBox.Text);
					if (resultString != "Success")
					{
						MessageBox.Show(resultString, "Log In " + frmLogIn.UsernameTextBox.Text, MessageBoxButtons.OK, MessageBoxIcon.Error);
					}
					resultString = OpcSystemsDataLogin1.LogIn(frmLogIn.UsernameTextBox.Text, frmLogIn.PasswordTextBox.Text);
					if (resultString != "Success")
					{
						MessageBox.Show(resultString, "Log In " + frmLogIn.UsernameTextBox.Text, MessageBoxButtons.OK, MessageBoxIcon.Error);
					}
					OpcGaugeLogin1.LogIn(frmLogIn.UsernameTextBox.Text, frmLogIn.PasswordTextBox.Text);
					ModuleNetworkNode.OPCSystemsComponent1.LogIn(frmLogIn.UsernameTextBox.Text, frmLogIn.PasswordTextBox.Text);
					if (frmAll != null)
					{
						frmAll.OpcTrendControl1.LogIn(frmLogIn.UsernameTextBox.Text, frmLogIn.PasswordTextBox.Text);
						frmAll.OpcAlarmControl1.LogIn(frmLogIn.UsernameTextBox.Text, frmLogIn.PasswordTextBox.Text);
					}
					if (frmTrend != null)
					{
						frmTrend.OpcTrendControl1.LogIn(frmLogIn.UsernameTextBox.Text, frmLogIn.PasswordTextBox.Text);
					}
					if (frmAlarm != null)
					{
						frmAlarm.OpcAlarmControl1.LogIn(frmLogIn.UsernameTextBox.Text, frmLogIn.PasswordTextBox.Text);
					}
					ToolStripTextBoxCurrentUser.Text = OpcControlsLogin1.CurrentUser();
					if (string.IsNullOrEmpty(OpcControlsLogin1.CurrentUser()))
					{
						ToolStripTextBoxCurrentUser.Visible = false;
						ToolStripMenuItemLogIn.Visible = true;
						ToolStripMenuItemLogOff.Visible = false;
					}
					else
					{
						ToolStripTextBoxCurrentUser.Visible = true;
						ToolStripMenuItemLogIn.Visible = false;
						ToolStripMenuItemLogOff.Visible = true;
					}
					m_CurrentUserName = frmLogIn.UsernameTextBox.Text;
					m_CurrentPassword = frmLogIn.PasswordTextBox.Text;
				}
			}
			// OpcControlsLogin1.ShowUserLogIn()
			// OpcGaugeLogin1.ShowUserLogIn()
		}

		private void ToolStripMenuItemLogOff_Click(object sender, System.EventArgs e)
		{
			OpcControlsLogin1.LogOff();
			OpcSystemsDataLogin1.LogOff();
			OpcGaugeLogin1.LogOff();
			ModuleNetworkNode.OPCSystemsComponent1.LogOff();
			if (frmAll != null)
			{
				frmAll.OpcTrendControl1.LogOff();
				frmAll.OpcAlarmControl1.LogOff();
			}
			if (frmTrend != null)
			{
				frmTrend.OpcTrendControl1.LogOff();
			}
			if (frmAlarm != null)
			{
				frmAlarm.OpcAlarmControl1.LogOff();
			}

			ToolStripTextBoxCurrentUser.Text = OpcControlsLogin1.CurrentUser();
			m_CurrentUserName = "";
			m_CurrentPassword = "";
			if (string.IsNullOrEmpty(OpcControlsLogin1.CurrentUser()))
			{
				ToolStripTextBoxCurrentUser.Visible = false;
				ToolStripMenuItemLogIn.Visible = true;
				ToolStripMenuItemLogOff.Visible = false;
			}
			else
			{
				ToolStripTextBoxCurrentUser.Visible = true;
				ToolStripMenuItemLogIn.Visible = false;
				ToolStripMenuItemLogOff.Visible = true;
			}
		}

		private void ToolStripMenuItemTanks_Click(object sender, System.EventArgs e)
		{
			LoadTanksDisplay();
		}

		private void FormMain_Load(object sender, System.EventArgs e)
		{
			LoadTanksDisplay();
		}

		private void LoadTanksDisplay()
		{
			if (frmTanks == null)
			{
				frmTanks = new FormTanks();
				SetNetworkNodeTanks();
				frmTanks.MdiParent = this;
				frmTanks.Show();
			}
			if (!(frmTanks.MdiParent == this))
			{
				frmTanks = new FormTanks();
				SetNetworkNodeTanks();
				frmTanks.MdiParent = this;
				frmTanks.Show();
			}
			frmTanks.BringToFront();
		}

		private void SystemErrorsToolStripMenuItem_Click(object sender, System.EventArgs e)
		{
			if (frmConfigureSystemErrors == null)
			{
				frmConfigureSystemErrors = new FormConfigureSystemErrors();
				frmConfigureSystemErrors.MdiParent = this;
				SetNetworkNodeConfigureSystemErrors();
				frmConfigureSystemErrors.Show();
			}
			if (!(frmConfigureSystemErrors.MdiParent == this))
			{
				frmConfigureSystemErrors = new FormConfigureSystemErrors();
				frmConfigureSystemErrors.MdiParent = this;
				SetNetworkNodeConfigureSystemErrors();
				frmConfigureSystemErrors.Show();
			}
			frmConfigureSystemErrors.BringToFront();
		}

		private void DriverInterfacesToolStripMenuItem_Click(object sender, System.EventArgs e)
		{
			if (frmConfigureDriverInterfaces == null)
			{
				frmConfigureDriverInterfaces = new FormConfigureDriverInterfaces();
				frmConfigureDriverInterfaces.MdiParent = this;
				SetNetworkNodeConfigureDriverInterfaces();
				frmConfigureDriverInterfaces.Show();
			}
			if (!(frmConfigureDriverInterfaces.MdiParent == this))
			{
				frmConfigureDriverInterfaces = new FormConfigureDriverInterfaces();
				frmConfigureDriverInterfaces.MdiParent = this;
				SetNetworkNodeConfigureDriverInterfaces();
				frmConfigureDriverInterfaces.Show();
			}
			frmConfigureDriverInterfaces.BringToFront();
		}

		[STAThread]
		static void Main()
		{
			Application.SetCompatibleTextRenderingDefault(false);
			Application.Run(new FormMain());
		}

	}
}